Installing Handbrake on ubuntu 12.04 LTS

Asked by Carlos Garcia on 2012-04-25

Hi,

I'm using this commands to install Handbrake on Ubunutu 12.04

sudo add-apt-repository ppa:stebbins/handbrake-releases
sudo apt-get update
sudo apt-get install handbrake-gtk

Get error message at the end. How can I install handbrake?

-------------------------------------------------------------------------------------------------------------------
xps8300@ubuntu:~$ sudo add-apt-repository ppa:stebbins/handbrake-releases
[sudo] password for xps8300:
You are about to add the following PPA to your system:
 These are the official HandBrake releases for Ubuntu. Official web site http://handbrake.fr/

HandBrake is an open-source, GPL-licensed, multiplatform, multithreaded video transcoder, available for MacOS X, Linux and Windows.
 More info: https://launchpad.net/~stebbins/+archive/handbrake-releases
Press [ENTER] to continue or ctrl-c to cancel adding it

Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /tmp/tmp.82IQZ8dleT --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver hkp://keyserver.ubuntu.com:80/ --recv 43D3A9F60C58A7169778E6FB8771ADB0816950D8
gpg: requesting key 816950D8 from hkp server keyserver.ubuntu.com
gpg: key 816950D8: "Launchpad HandBrake Snapshots" not changed
gpg: Total number processed: 1
gpg: unchanged: 1
xps8300@ubuntu:~$ sudo apt-get update
Ign http://security.ubuntu.com precise-security InRelease
Ign http://ppa.launchpad.net precise InRelease
Ign http://ppa.launchpad.net precise InRelease
Ign http://ppa.launchpad.net precise InRelease
Ign http://ppa.launchpad.net precise InRelease
Hit http://ppa.launchpad.net precise Release.gpg
Ign http://archive.ubuntu.com precise InRelease
Ign http://archive.ubuntu.com precise-updates InRelease
Ign http://ppa.launchpad.net precise Release.gpg
Get:1 http://archive.ubuntu.com precise Release.gpg [198 B]
Ign http://ppa.launchpad.net precise Release.gpg
Hit http://ppa.launchpad.net precise Release.gpg
Get:2 http://archive.ubuntu.com precise-updates Release.gpg [198 B]
Hit http://ppa.launchpad.net precise Release
Get:3 http://archive.ubuntu.com precise Release [49.6 kB]
Ign http://ppa.launchpad.net precise Release
Ign http://ppa.launchpad.net precise Release
Hit http://ppa.launchpad.net precise Release
Hit http://ppa.launchpad.net precise/main Sources
Hit http://ppa.launchpad.net precise/main amd64 Packages
Hit http://ppa.launchpad.net precise/main i386 Packages
Ign http://ppa.launchpad.net precise/main TranslationIndex
Ign http://ppa.launchpad.net precise/main TranslationIndex
Ign http://ppa.launchpad.net precise/main TranslationIndex
Get:4 http://archive.ubuntu.com precise-updates Release [49.6 kB]
Hit http://ppa.launchpad.net precise/main Sources
Hit http://ppa.launchpad.net precise/main amd64 Packages
Hit http://ppa.launchpad.net precise/main i386 Packages
Ign http://ppa.launchpad.net precise/main TranslationIndex
Get:5 http://archive.ubuntu.com precise/main amd64 Packages [1,273 kB]
Hit http://security.ubuntu.com precise-security Release.gpg
Hit http://security.ubuntu.com precise-security Release
Err http://ppa.launchpad.net precise/main Sources
  404 Not Found
Hit http://security.ubuntu.com precise-security/main amd64 Packages
Err http://ppa.launchpad.net precise/main amd64 Packages
  404 Not Found
Err http://ppa.launchpad.net precise/main i386 Packages
  404 Not Found
Err http://ppa.launchpad.net precise/main Sources
  404 Not Found
Err http://ppa.launchpad.net precise/main amd64 Packages
  404 Not Found
Hit http://security.ubuntu.com precise-security/restricted amd64 Packages
Hit http://security.ubuntu.com precise-security/universe amd64 Packages
Hit http://security.ubuntu.com precise-security/multiverse amd64 Packages
Hit http://security.ubuntu.com precise-security/main i386 Packages
Hit http://security.ubuntu.com precise-security/restricted i386 Packages
Hit http://security.ubuntu.com precise-security/universe i386 Packages
Hit http://security.ubuntu.com precise-security/multiverse i386 Packages
Hit http://security.ubuntu.com precise-security/main TranslationIndex
Hit http://security.ubuntu.com precise-security/multiverse TranslationIndex
Hit http://security.ubuntu.com precise-security/restricted TranslationIndex
Hit http://security.ubuntu.com precise-security/universe TranslationIndex
Err http://ppa.launchpad.net precise/main i386 Packages
  404 Not Found
Ign http://ppa.launchpad.net precise/main Translation-en_US
Hit http://security.ubuntu.com precise-security/main Translation-en
Hit http://security.ubuntu.com precise-security/multiverse Translation-en
Ign http://ppa.launchpad.net precise/main Translation-en
Ign http://ppa.launchpad.net precise/main Translation-en_US
Ign http://ppa.launchpad.net precise/main Translation-en
Ign http://ppa.launchpad.net precise/main Translation-en_US
Ign http://ppa.launchpad.net precise/main Translation-en
Hit http://security.ubuntu.com precise-security/restricted Translation-en
Hit http://security.ubuntu.com precise-security/universe Translation-en
Ign http://ppa.launchpad.net precise/main Translation-en_US
Ign http://ppa.launchpad.net precise/main Translation-en
Get:6 http://archive.ubuntu.com precise/restricted amd64 Packages [8,452 B]
Get:7 http://archive.ubuntu.com precise/universe amd64 Packages [4,786 kB]
Ign http://dl.google.com stable InRelease
Get:8 http://archive.ubuntu.com precise/multiverse amd64 Packages [119 kB]
Get:9 http://archive.ubuntu.com precise/main i386 Packages [1,274 kB]
Get:10 http://archive.ubuntu.com precise/restricted i386 Packages [8,431 B]
Get:11 http://archive.ubuntu.com precise/universe i386 Packages [4,796 kB]
Get:12 http://archive.ubuntu.com precise/multiverse i386 Packages [121 kB]
Hit http://archive.ubuntu.com precise/main TranslationIndex
Hit http://archive.ubuntu.com precise/multiverse TranslationIndex
Hit http://archive.ubuntu.com precise/restricted TranslationIndex
Hit http://archive.ubuntu.com precise/universe TranslationIndex
Get:13 http://archive.ubuntu.com precise-updates/main amd64 Packages [768 B]
Get:14 http://archive.ubuntu.com precise-updates/restricted amd64 Packages [14 B]
Get:15 http://archive.ubuntu.com precise-updates/universe amd64 Packages [14 B]
Get:16 http://archive.ubuntu.com precise-updates/multiverse amd64 Packages [14 B]
Get:17 http://archive.ubuntu.com precise-updates/main i386 Packages [768 B]
Get:18 http://archive.ubuntu.com precise-updates/restricted i386 Packages [14 B]
Get:19 http://archive.ubuntu.com precise-updates/universe i386 Packages [14 B]
Get:20 http://archive.ubuntu.com precise-updates/multiverse i386 Packages [14 B]
Hit http://archive.ubuntu.com precise-updates/main TranslationIndex
Hit http://archive.ubuntu.com precise-updates/multiverse TranslationIndex
Hit http://archive.ubuntu.com precise-updates/restricted TranslationIndex
Hit http://archive.ubuntu.com precise-updates/universe TranslationIndex
Hit http://archive.ubuntu.com precise/main Translation-en
Hit http://archive.ubuntu.com precise/multiverse Translation-en
Hit http://archive.ubuntu.com precise/restricted Translation-en
Hit http://archive.ubuntu.com precise/universe Translation-en
Hit http://archive.ubuntu.com precise-updates/main Translation-en
Hit http://archive.ubuntu.com precise-updates/multiverse Translation-en
Hit http://archive.ubuntu.com precise-updates/restricted Translation-en
Hit http://archive.ubuntu.com precise-updates/universe Translation-en
Ign http://dl.google.com stable Release.gpg
Ign http://dl.google.com stable Release
Ign http://dl.google.com stable/main amd64 Packages/DiffIndex
Ign http://dl.google.com stable/main i386 Packages/DiffIndex
Ign http://dl.google.com stable/main TranslationIndex
Err http://dl.google.com stable/main amd64 Packages
  503 Service Unavailable [IP: 209.85.143.99 80]
Err http://dl.google.com stable/main i386 Packages
  503 Service Unavailable [IP: 209.85.143.99 80]
Ign http://dl.google.com stable/main Translation-en_US
Ign http://dl.google.com stable/main Translation-en
Fetched 12.5 MB in 1min 31s (136 kB/s)
W: Failed to fetch http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu/dists/precise/main/source/Sources 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu/dists/precise/main/binary-amd64/Packages 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu/dists/precise/main/binary-i386/Packages 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/stebbins/handbrake-snapshots/ubuntu/dists/precise/main/source/Sources 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/stebbins/handbrake-snapshots/ubuntu/dists/precise/main/binary-amd64/Packages 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/stebbins/handbrake-snapshots/ubuntu/dists/precise/main/binary-i386/Packages 404 Not Found

W: Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/main/binary-amd64/Packages 503 Service Unavailable [IP: 209.85.143.99 80]

W: Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/main/binary-i386/Packages 503 Service Unavailable [IP: 209.85.143.99 80]

E: Some index files failed to download. They have been ignored, or old ones used instead.
xps8300@ubuntu:~$ sudo apt-get install handbrake-gtk
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package handbrake-gtk
xps8300@ubuntu:~$

Thanks

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu software-center Edit question
Assignee:
No assignee Edit question
Solved by:
balaji narhare
Solved:
2012-05-13
Last query:
2012-05-13
Last reply:
2012-05-13

This question was reopened

http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu/dists/

You will see the PPA doesn't support Precise. I suggest you remove it

Carlos Garcia (carlosgarciaie) said : #2

For Ubuntu which one can I use?

        karmic/ 03-Jan-2011 18:56 -
 lucid/ 03-Jan-2011 18:56 -
 maverick/ 03-Jan-2011 19:01 -
 natty/ 28-Apr-2011 16:07 -
 oneiric/

None, the link was just showing the PPA doesn't support your release. It's not for you to use.

Carlos Garcia (carlosgarciaie) said : #4

Then handbrake does not support ubuntu 12.04. Is that correct?

Carlos Garcia (carlosgarciaie) said : #5

Any other application to rip dvds ?

mark (lololcats) said : #7

don't listen to actionparsnip, he doesn't know what he's talking about.

without ever having handbrake installed, i did this to install it and it works perfectly:

1) in terminal type the following commands:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 816950D8

sudo gedit /etc/apt/sources.list.d/handbrake.list

2) when the file opens, copy and paste the following lines into it, then save and close the file:

deb http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu oneiric main
deb-src http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu oneiric main

3) back in terminal, run the following command:

sudo apt-get install handbrake-gtk

Carlos Garcia (carlosgarciaie) said : #8

Hi Mark,

After I copied the two lines I get this

xps8300@xps8300-XPS-8300:~$ sudo apt-get install handbrake-gtk
[sudo] password for xps8300:
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package handbrake-gtk
xps8300@xps8300-XPS-8300:~$

Best balaji narhare (balajinarhare) said : #9

Hi
Carlos
go as per Mark's insturaction and before install command
just use update ( sudo apt-get update)
it works

thanks Mark

Got it guys

Thanks so much for your help, it works like a charm

Cheers

Thanks balaji narhare, that solved my question.

Nima Riahi (nmriahi) said : #12

Thanks so much Dear Mark and Balaji ;)
It really helped me and now I have Handbrake installed on my Ubuntu 12.04 :)
Warmest Regards

I have been using it for few days and it actually works better than in window

Steve Walker (swalker2001) said : #14

Hi--I am trying to install handbrake on 12.04 as well and can't get the keys...this is what I get:

gpg: requesting key 816950D8 from hkp server keyserver.ubuntu.com
?: keyserver.ubuntu.com: Connection refused
gpgkeys: HTTP fetch error 7: couldn't connect: Connection refused
gpg: no valid OpenPGP data found.
gpg: Total number processed: 0

I suspect a port problem. Could one of you guys post the key so I could try to import it manually?

Thanks!

Worked for me! Many thanks to Mark and Balaji.

Markus Klyver (markusklyver) said : #16

Didn't work for me.

Thanks guys, I've been trying to get Handbrake to work on and off for a couple of weeks to get Peppa Pig on my iPhone to keep the little one entertained while out and about. This was the answer that worked for me, thanks Mark

Why not just use mencoder or ffmpeg?

Zahidul hossain (choyan) said : #19

the way provided by Mark worked for me also. :)

Alexander Artau (artau) said : #20

Mark's procedure worked for me in 12.10.

Thanks a lot to Carlos Garcia for raising the point and to mark (lololcats) and all the others for solving it, this worked for me (ubuntu 12.04) - such a usuful software for work and fun, wonder how I could do without it so far...